QCJSONWriter.SparseArray
Date: 2019-10-22

org.jmol.adapter.writers

## Class QCJSONWriter.SparseArray

- java.lang.Object
- - javajs.util.SB
  - - org.jmol.adapter.writers.QCJSONWriter.SparseArray

- Enclosing class:
    QCJSONWriter

      public class QCJSONWriter.SparseArray
      extends javajs.util.SB

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `elementCount`
    `private boolean` | `isRLE`
    `private java.lang.String` | `lastElement`
    `private int` | `repeatCount`
    `private java.lang.String` | `sep`
    `private java.lang.String` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SparseArray(java.lang.String type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `add(java.lang.String element)`
    `boolean` | `allEmptyString()`
    `boolean` | `allNaN()`
    `boolean` | `allNull()`
    `boolean` | `allSame()`
    `boolean` | `allZero()`
    `boolean` | `hasValues()`
    `boolean` | `isEmpty()`
    `boolean` | `isNumericAndNonZero()`
    `java.lang.String` | `lastElement()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class javajs.util.SB

      `append, appendB, appendC, appendCB, appendD, appendF, appendI, appendO, appendSB, charAt, charCodeAt, indexOf, indexOf2, insert, lastIndexOf, length, newN, newS, replace, setLength, substring, substring2, toBytes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### repeatCount

          private int repeatCount

    - #### elementCount

          private int elementCount

    - #### lastElement

          private java.lang.String lastElement

    - #### sep

          private java.lang.String sep

    - #### type

          private java.lang.String type

    - #### isRLE

          private boolean isRLE

  - ### Constructor Detail

    - #### SparseArray

          public SparseArray(java.lang.String type)

  - ### Method Detail

    - #### add

          protected void add(java.lang.String element)

    - #### lastElement

          public java.lang.String lastElement()

    - #### isEmpty

          public boolean isEmpty()

    - #### allNaN

          public boolean allNaN()

    - #### allNull

          public boolean allNull()

    - #### allEmptyString

          public boolean allEmptyString()

    - #### allSame

          public boolean allSame()

    - #### allZero

          public boolean allZero()

    - #### hasValues

          public boolean hasValues()

    - #### isNumericAndNonZero

          public boolean isNumericAndNonZero()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `javajs.util.SB`